# imageio.plugins.spe.SpePlugin.properties

SpePlugin.properties(index: int = Ellipsis) → ImageProperties

  Standardized ndimage metadata.

  Parameters:
    index int

      If the index is an integer, select the index-th frame and return its properties. If index is an Ellipsis (…), return the properties of all frames in the file stacked along a new batch dimension.

  Returns:
    properties ImageProperties

      A dataclass filled with standardized image metadata.

previous

imageio.plugins.spe.SpePlugin.iter

next

imageio.plugins.spe.SpePlugin.metadata